{
  pkgs,
  config,
  lib,
  ...
}:

{
  system.activationScripts.show-update-changelog = ''
    if [[ -e /run/current-system ]]; then
      echo "[show-update-changelog] System Changelog"
      ${lib.getExe pkgs.nvd} --nix-bin-dir='${config.nix.package}/bin' diff /run/current-system "$systemConfig"
    fi
  '';
}
